net.sourceforge.pmd.cpd

## Class CPDNullListener

- java.lang.Object
- - net.sourceforge.pmd.cpd.CPDNullListener

- All Implemented Interfaces:
    CPDListener

      public class CPDNullListener
      extends Object
      implements CPDListener

- - ### Field Summary

    - ### Fields inherited from interface net.sourceforge.pmd.cpd.CPDListener

      `DONE, GROUPING, HASH, INIT, MATCH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CPDNullListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addedFile(int fileCount, File file)`
    `void` | `phaseUpdate(int phase)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CPDNullListener

          public CPDNullListener()

  - ### Method Detail

    - #### addedFile

          public void addedFile(int fileCount,
                       File file)

      Specified by:
        `addedFile` in interface `CPDListener`

    - #### phaseUpdate

          public void phaseUpdate(int phase)

      Specified by:
        `phaseUpdate` in interface `CPDListener`

Copyright © 2002-2013 InfoEther. All Rights Reserved.